@import "@/styles/variables";

.select-container {
    display: flex;
    flex-direction: column;
    position: relative;
    z-index: 150;

    .dropdown-button {
        @include input-1;

        width: 100%;
        height: 58px;
        color: $gray-600;
        gap: 0.75rem;
        justify-content: start;
        padding-top: 1.7rem;

        span:first-child {
            width: 1.5rem;
            height: 1.5rem;

            svg {
                position: relative;
                top: -0.6rem;
                left: -0.3rem;
            }
        }

        &:active,
        &:focus,
        &:focus-visible {
            color: $gray-800;
            background-color: $white;
        }

        span:last-child {
            position: absolute;
            right: 1rem;
            top: 1.75rem;
            transform: translateY(-50%);
            color: $gray-600;
        }

        &__with-value {
            color: $gray-900;
        }
    }

    .tags {
        &-label {
            position: absolute;
            top: 0.5rem;
            left: 3.5rem;
            color: $gray-600;
            transition: all 0.05s ease-in-out;

            @include label-1;
        }

        &-list {
            margin-top: 0.5rem;
            width: 100%;
            min-width: 300px;
            max-width: calc(100vw - 1rem);
            background-color: $white;
            border-radius: 8px;
            padding: 0.5rem;
            list-style: none;
            top: 123px;
            position: relative;

            @include shadow-dropdown;

            li {
                padding: 6px 8px;
                border-radius: $border-radius;

                &:hover {
                    background-color: $gray-200;
                }
            }
        }

        &-container {
            display: flex;
            flex-wrap: wrap;
            gap: 0.5rem;

            &__with-tags {
                margin-top: 1rem;
            }
        }
    }
}
